Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Damn autogenerated, get out of the way, I can't see the real changes I've made
[simgrid.git] / examples / java / basic / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #########################
18 # How to compile the code
19 # All this to only get a dumb javac *java... Automake still have issues with java
20
21 # Makefile chunk which allows to display the files which should be included
22 # into the distribution.
23
24 # It is intended to be included in all Makefile.am 
25 VPATH = @srcdir@
26 pkgdatadir = $(datadir)/@PACKAGE@
27 pkglibdir = $(libdir)/@PACKAGE@
28 pkgincludedir = $(includedir)/@PACKAGE@
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 DIST_COMMON = $(srcdir)/../java_test.mk $(srcdir)/Makefile.am \
45         $(srcdir)/Makefile.in $(top_srcdir)/acmacro/dist-files.mk
46 subdir = examples/java/basic
47 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
48 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
49         $(top_srcdir)/acmacro/compiler-flags.m4 \
50         $(top_srcdir)/acmacro/context.m4 \
51         $(top_srcdir)/acmacro/fancy_configury.m4 \
52         $(top_srcdir)/acmacro/flex.m4 \
53         $(top_srcdir)/acmacro/gras_arch.m4 \
54         $(top_srcdir)/acmacro/print_null.m4 \
55         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
56 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
57         $(ACLOCAL_M4)
58 mkinstalldirs = $(install_sh) -d
59 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
60 CONFIG_CLEAN_FILES =
61 SOURCES =
62 DIST_SOURCES =
63 CLASSPATH_ENV = CLASSPATH=$(JAVAROOT):$(srcdir)/$(JAVAROOT):$$CLASSPATH
64 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
65 ACLOCAL = @ACLOCAL@
66 ADDR2LINE = @ADDR2LINE@
67 AMTAR = @AMTAR@
68 AM_CPPFLAGS = @AM_CPPFLAGS@
69 AR = @AR@
70 AS = @AS@
71 AUTOCONF = @AUTOCONF@
72 AUTOHEADER = @AUTOHEADER@
73 AUTOMAKE = @AUTOMAKE@
74 AWK = @AWK@
75 BASH = @BASH@
76 CC = @CC@
77 CCDEPMODE = @CCDEPMODE@
78 CFLAGS = @CFLAGS@
79 CPP = @CPP@
80 CPPFLAGS = @CPPFLAGS@
81 CXX = @CXX@
82 CXXCPP = @CXXCPP@
83 CXXDEPMODE = @CXXDEPMODE@
84 CXXFLAGS = @CXXFLAGS@
85 CYGPATH_W = @CYGPATH_W@
86 DEFS = @DEFS@
87 DEPDIR = @DEPDIR@
88 DLLTOOL = @DLLTOOL@
89 DOXYGEN = @DOXYGEN@
90 ECHO = @ECHO@
91 ECHO_C = @ECHO_C@
92 ECHO_N = @ECHO_N@
93 ECHO_T = @ECHO_T@
94 EGREP = @EGREP@
95 EXEEXT = @EXEEXT@
96 FLEXML = @FLEXML@
97 GCJ = @GCJ@
98 GCJDEPMODE = @GCJDEPMODE@
99 GCJFLAGS = @GCJFLAGS@
100 GRAS_DEP = @GRAS_DEP@
101 GREP = @GREP@
102 INSTALL = @INSTALL@
103 INSTALL_DATA = @INSTALL_DATA@
104 INSTALL_PROGRAM = @INSTALL_PROGRAM@
105 INSTALL_SCRIPT = @INSTALL_SCRIPT@
106 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
107 JAR = @JAR@
108 JAVA = @JAVA@
109 JAVAC = @JAVAC@
110 LDFLAGS = @LDFLAGS@
111 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
112 LEX = @LEX@
113 LEXLIB = @LEXLIB@
114 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
115 LIBOBJS = @LIBOBJS@
116 LIBS = @LIBS@
117 LIBTOOL = @LIBTOOL@
118 LN_S = @LN_S@
119 LTLIBOBJS = @LTLIBOBJS@
120 MAINT = @MAINT@
121 MAKEINFO = @MAKEINFO@
122 MD5SUM = @MD5SUM@
123 MKDIR_P = @MKDIR_P@
124 OBJDUMP = @OBJDUMP@
125 OBJEXT = @OBJEXT@
126 PACKAGE = @PACKAGE@
127 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
128 PACKAGE_NAME = @PACKAGE_NAME@
129 PACKAGE_STRING = @PACKAGE_STRING@
130 PACKAGE_TARNAME = @PACKAGE_TARNAME@
131 PACKAGE_VERSION = @PACKAGE_VERSION@
132 PATH_SEPARATOR = @PATH_SEPARATOR@
133 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
134 RANLIB = @RANLIB@
135 SET_MAKE = @SET_MAKE@
136 SHELL = @SHELL@
137 SIMGRID_DEP = @SIMGRID_DEP@
138 STRIP = @STRIP@
139 VERSION = @VERSION@
140 WARNING = @WARNING@
141 abs_builddir = @abs_builddir@
142 abs_srcdir = @abs_srcdir@
143 abs_top_builddir = @abs_top_builddir@
144 abs_top_srcdir = @abs_top_srcdir@
145 ac_configure_args = @ac_configure_args@
146 ac_ct_CC = @ac_ct_CC@
147 ac_ct_CXX = @ac_ct_CXX@
148 am__include = @am__include@
149 am__leading_dot = @am__leading_dot@
150 am__quote = @am__quote@
151 am__tar = @am__tar@
152 am__untar = @am__untar@
153 bindir = @bindir@
154 build = @build@
155 build_alias = @build_alias@
156 build_cpu = @build_cpu@
157 build_id = @build_id@
158 build_os = @build_os@
159 build_vendor = @build_vendor@
160 builddir = @builddir@
161 datadir = @datadir@
162 datarootdir = @datarootdir@
163 docdir = @docdir@
164 dvidir = @dvidir@
165 exec_prefix = @exec_prefix@
166 host = @host@
167 host_alias = @host_alias@
168 host_cpu = @host_cpu@
169 host_os = @host_os@
170 host_vendor = @host_vendor@
171 htmldir = @htmldir@
172 includedir = @includedir@
173 infodir = @infodir@
174 install_sh = @install_sh@
175 libdir = @libdir@
176 libexecdir = @libexecdir@
177 localedir = @localedir@
178 localstatedir = @localstatedir@
179 mandir = @mandir@
180 mkdir_p = @mkdir_p@
181 oldincludedir = @oldincludedir@
182 pdfdir = @pdfdir@
183 prefix = @prefix@
184 program_transform_name = @program_transform_name@
185 psdir = @psdir@
186 pth_skaddr_makecontext = @pth_skaddr_makecontext@
187 pth_sksize_makecontext = @pth_sksize_makecontext@
188 sbindir = @sbindir@
189 sharedstatedir = @sharedstatedir@
190 srcdir = @srcdir@
191 sysconfdir = @sysconfdir@
192 target = @target@
193 target_alias = @target_alias@
194 target_cpu = @target_cpu@
195 target_os = @target_os@
196 target_vendor = @target_vendor@
197 top_builddir = @top_builddir@
198 top_srcdir = @top_srcdir@
199 EXTRA_DIST = basic_deployment.xml basic_platform.xml surfxml.dtd
200
201 # Declare sources:
202 noinst_JAVA = Master.java Forwarder.java Slave.java BasicTest.java BasicTask.java
203
204 # Declare test class
205 TESTS = BasicTest.class
206 JAVAROOT = .
207 AM_JAVACFLAGS = -cp $(top_srcdir)/src/simgrid.jar
208
209 ##########################
210 # What to do on make check
211 # We need to rely on an external script (../runtest) because automake adds a ./ in front of the test name
212 # We need to override LD_LIBRARY_PATH so that the VM finds the libsimgrid4java.so
213 # We need to override the CLASSPATH to add simgrid.jar and current dir to the picture
214 # We also need to express dependencies manually (in each test dir)
215 # Damn...
216 TESTS_ENVIRONMENT = LD_LIBRARY_PATH="$(top_srcdir)/src/.libs:$$LD_LIBRARY_PATH" \
217                   CLASSPATH=".:$(top_srcdir)/src/simgrid.jar:$$CLASSPATH" \
218                   $(srcdir)/../runtest 
219
220 all: all-am
221
222 .SUFFIXES:
223 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../java_test.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
224         @for dep in $?; do \
225           case '$(am__configure_deps)' in \
226             *$$dep*) \
227               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
228                 && exit 0; \
229               exit 1;; \
230           esac; \
231         done; \
232         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/java/basic/Makefile'; \
233         cd $(top_srcdir) && \
234           $(AUTOMAKE) --gnu  examples/java/basic/Makefile
235 .PRECIOUS: Makefile
236 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
237         @case '$?' in \
238           *config.status*) \
239             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
240           *) \
241             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
242             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
243         esac;
244
245 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
246         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
247
248 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
249         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
250 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
251         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
252
253 mostlyclean-libtool:
254         -rm -f *.lo
255
256 clean-libtool:
257         -rm -rf .libs _libs
258
259 classnoinst.stamp: $(noinst_JAVA)
260         @list1='$?'; list2=; if test -n "$$list1"; then \
261           for p in $$list1; do \
262             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
263             list2="$$list2 $$d$$p"; \
264           done; \
265           echo '$(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) '"$$list2"; \
266           $(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) $$list2; \
267         else :; fi
268         echo timestamp > classnoinst.stamp
269
270 clean-noinstJAVA:
271         -rm -f *.class classnoinst.stamp
272 tags: TAGS
273 TAGS:
274
275 ctags: CTAGS
276 CTAGS:
277
278
279 check-TESTS: $(TESTS)
280         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
281         srcdir=$(srcdir); export srcdir; \
282         list=' $(TESTS) '; \
283         if test -n "$$list"; then \
284           for tst in $$list; do \
285             if test -f ./$$tst; then dir=./; \
286             elif test -f $$tst; then dir=; \
287             else dir="$(srcdir)/"; fi; \
288             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
289               all=`expr $$all + 1`; \
290               case " $(XFAIL_TESTS) " in \
291               *$$ws$$tst$$ws*) \
292                 xpass=`expr $$xpass + 1`; \
293                 failed=`expr $$failed + 1`; \
294                 echo "XPASS: $$tst"; \
295               ;; \
296               *) \
297                 echo "PASS: $$tst"; \
298               ;; \
299               esac; \
300             elif test $$? -ne 77; then \
301               all=`expr $$all + 1`; \
302               case " $(XFAIL_TESTS) " in \
303               *$$ws$$tst$$ws*) \
304                 xfail=`expr $$xfail + 1`; \
305                 echo "XFAIL: $$tst"; \
306               ;; \
307               *) \
308                 failed=`expr $$failed + 1`; \
309                 echo "FAIL: $$tst"; \
310               ;; \
311               esac; \
312             else \
313               skip=`expr $$skip + 1`; \
314               echo "SKIP: $$tst"; \
315             fi; \
316           done; \
317           if test "$$failed" -eq 0; then \
318             if test "$$xfail" -eq 0; then \
319               banner="All $$all tests passed"; \
320             else \
321               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
322             fi; \
323           else \
324             if test "$$xpass" -eq 0; then \
325               banner="$$failed of $$all tests failed"; \
326             else \
327               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
328             fi; \
329           fi; \
330           dashes="$$banner"; \
331           skipped=""; \
332           if test "$$skip" -ne 0; then \
333             skipped="($$skip tests were not run)"; \
334             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
335               dashes="$$skipped"; \
336           fi; \
337           report=""; \
338           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
339             report="Please report to $(PACKAGE_BUGREPORT)"; \
340             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
341               dashes="$$report"; \
342           fi; \
343           dashes=`echo "$$dashes" | sed s/./=/g`; \
344           echo "$$dashes"; \
345           echo "$$banner"; \
346           test -z "$$skipped" || echo "$$skipped"; \
347           test -z "$$report" || echo "$$report"; \
348           echo "$$dashes"; \
349           test "$$failed" -eq 0; \
350         else :; fi
351
352 distdir: $(DISTFILES)
353         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
354         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
355         list='$(DISTFILES)'; \
356           dist_files=`for file in $$list; do echo $$file; done | \
357           sed -e "s|^$$srcdirstrip/||;t" \
358               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
359         case $$dist_files in \
360           */*) $(MKDIR_P) `echo "$$dist_files" | \
361                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
362                            sort -u` ;; \
363         esac; \
364         for file in $$dist_files; do \
365           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
366           if test -d $$d/$$file; then \
367             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
368             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
369               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
370             fi; \
371             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
372           else \
373             test -f $(distdir)/$$file \
374             || cp -p $$d/$$file $(distdir)/$$file \
375             || exit 1; \
376           fi; \
377         done
378 check-am: all-am
379         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
380 check: check-am
381 all-am: Makefile classnoinst.stamp
382 installdirs:
383 install: install-am
384 install-exec: install-exec-am
385 install-data: install-data-am
386 uninstall: uninstall-am
387
388 install-am: all-am
389         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
390
391 installcheck: installcheck-am
392 install-strip:
393         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
394           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
395           `test -z '$(STRIP)' || \
396             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
397 mostlyclean-generic:
398
399 clean-generic:
400
401 distclean-generic:
402         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
403
404 maintainer-clean-generic:
405         @echo "This command is intended for maintainers to use"
406         @echo "it deletes files that may require special tools to rebuild."
407 clean: clean-am
408
409 clean-am: clean-generic clean-libtool clean-noinstJAVA mostlyclean-am
410
411 distclean: distclean-am
412         -rm -f Makefile
413 distclean-am: clean-am distclean-generic
414
415 dvi: dvi-am
416
417 dvi-am:
418
419 html: html-am
420
421 info: info-am
422
423 info-am:
424
425 install-data-am:
426
427 install-dvi: install-dvi-am
428
429 install-exec-am:
430
431 install-html: install-html-am
432
433 install-info: install-info-am
434
435 install-man:
436
437 install-pdf: install-pdf-am
438
439 install-ps: install-ps-am
440
441 installcheck-am:
442
443 maintainer-clean: maintainer-clean-am
444         -rm -f Makefile
445 maintainer-clean-am: distclean-am maintainer-clean-generic
446
447 mostlyclean: mostlyclean-am
448
449 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
450
451 pdf: pdf-am
452
453 pdf-am:
454
455 ps: ps-am
456
457 ps-am:
458
459 uninstall-am:
460
461 .MAKE: install-am install-strip
462
463 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
464         clean-libtool clean-noinstJAVA distclean distclean-generic \
465         distclean-libtool distdir dvi dvi-am html html-am info info-am \
466         install install-am install-data install-data-am install-dvi \
467         install-dvi-am install-exec install-exec-am install-html \
468         install-html-am install-info install-info-am install-man \
469         install-pdf install-pdf-am install-ps install-ps-am \
470         install-strip installcheck installcheck-am installdirs \
471         maintainer-clean maintainer-clean-generic mostlyclean \
472         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
473         uninstall uninstall-am
474
475
476 # declare that we must recompile everything before lauching tests
477 $(TESTS): classnoinst.stamp
478
479 dist-files:
480         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
481         @echo
482         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
483
484 # Cruft
485 # Tell versions [3.59,3.63) of GNU make to not export all variables.
486 # Otherwise a system limit (for SysV at least) may be exceeded.
487 .NOEXPORT: